<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta type="Content-type" content="text/html;charset=UTF-8" />
	<title>数组和字符串</title>
	<style type="text/css"></style>
</head>
<body>
	<script type="text/javascript">
	//删除重复的元素
	function remove(arr, item) {
	    for(var i=0;i<arr.length;i++){
	        if(arr[i]==item){
	            arr.splice(i,1);
	        }
	    }
	    return arr;
	};
	document.write("删除重复的元素："+remove([1,2,4,4,4,3,3,4,1,5,3],4));
	//添加数组
	function append(arr, item) {
     arr.push(item);
     return arr;
	};
	//替换指定位置元素
	function insert(arr, item, index) {
	    var arrn=[];
	    arr.forEach(function(e){
	        arrn.push(e);
		});
	    arrn.splice(index,0,item);
	    return arrn;
	};
	document.write("替换的元素："+insert([1,2,4,4,3,3,4,1,5,3],9,3));
	//查找重复字符
	function duplicates(arr) {
	    var res = [];
	    arr.forEach(function(val) {
	        var len = arr.length;
	        var len2 = arr.filter(function(v) {
	            return v!=val;
	        }).length;
	        if(len != len2+1 && !res.some(function(v){return v==val}))
	            res.push(val);
	    })
	    return res;
	};
	document.write("查找重复字符"+duplicates([1,2,4,4,3,3,1,5,3]));
	</script>
</body>
</html>